Important announcement for Android mobile learners.

If you cannot log into Lingvist as of February 7th, check if your app is up-to-date. As mentioned in our email and in-app notifications -- which we attempted to deliver to you within weeks prior to today -- we are discontinuing support of really old Android app versions. Anything earlier than 2.17.2 will no longer work.

Luckily, the fix for that is very easy - download the newest app version 2.20.5 from the Play Store and you are good to go!

Thanks for learning with us.

last edited by Marina